Montgomery< RecInt::ruint< K > > Class Template Reference

The recint-based Montgomery ring. More...

`#include <montgomery-ruint.h>`

## Detailed Description

template<size_t K>
class Givaro::Montgomery< RecInt::ruint< K > >

The recint-based Montgomery ring.

Only odd moduli allowed An integer (a mod p) is stored as (a * r mod 2^{2^K}) with (r = 2^{2^K} mod p).

The documentation for this class was generated from the following files:

- montgomery-ruint.h
- montgomery-ruint.inl